enable citoid on zh-yue.wiki
Closed, ResolvedPublic1 Story Points

Mvolz created this task.Mar 1 2018, 1:34 PM
Mvolz triaged this task as Normal priority.
deryckchan added a subscriber: deryckchan.EditedMar 1 2018, 4:19 PM

Hey thanks for opening a ticket for me.

At this stage I'm not sure if I've been importing TemplateData correctly. As a first attempt I tried to do this copying of en.wp TemplateData onto the equivalent documentation page on yue.wp. At this time yue.wp doesn't have a {{csdoc}} equivalent yet so if you can clarify which parts of the documentation pages are crucial and which parts aren't, that'll be useful.

Do we really need 5x different cite templates to get this thing to work?

Roy17 added a subscriber: Roy17.Mar 1 2018, 4:58 PM
Elitre added a comment.Mar 1 2018, 5:37 PM

Which cite templates, if any, does your wiki use? The page does mention only importing the generic Template:Citation and sticking to it if that works for you.

Actually it seems that all 5 "trunk" citation templates (citation, cite news, cite web, cite journal, cite book) are used by articles on yue.wp. @William915 and @shinjiman imported the whole Module:Citation and the standard templates. So I guess the question is, what's the fastest way to get the other settings ready (I've already done Citoid-template-type-map.json and Visualeditor-cite-tool-definition.json| earlier this week) for Citoid to start working.

I believe that your next step will be copying the TemplateData for cite news, cite web, cite journal, and cite book. That's the only part of the /doc page that is truly needed for citoid (everything else is for humans). Then do a null edit on each template (NB: Not the /doc pages!) to make sure that the software has noticed the addition of the TemplateData.

Mvolz moved this task from Backlog to Zotero & External on the Citoid board.Mar 5 2018, 12:50 PM
Mvolz added a comment.EditedMar 26 2018, 4:10 PM

I've temporarily disabled the message here as none of the templates have template data so it's not working: https://zh-yue.wikipedia.org/w/index.php?title=MediaWiki:Citoid-template-type-map.json&action=history

The simplest way to get started is simply to copy the template data (everything inside <templatedata></templatedata> ) from en wiki.

https://www.mediawiki.org/wiki/Citoid/Enabling_Citoid_on_your_wiki#Step_2.a:_Create_a_'citoid'_maps_value_for_each_citation_template

Rical removed a subscriber: Rical.Mar 27 2018, 9:44 PM

I've copied the template data from en wiki and re-enabled the message.

Please check it over but it seems to be working. Could use some translation since of course everything copied from en wiki is in English.

Mvolz renamed this task from enable citoid on yue.wiki to enable citoid on zh-yue.wiki.Apr 19 2018, 10:51 AM
Mvolz closed this task as Resolved.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 19 2018, 10:51 AM

Thank you @Mvolz *v*

@Hello903hello 麻煩你試下而家個 Citoid 用唔用到,同埋幫手將嗰幾個 Template 啲內容譯做粵文。唔該!

@Roy17 has done a few tests in his userspace and saw that most websites failed to generate, including ones like BBC which usually work on en.wp. Have we missed some configurations?

Mvolz added a comment.Apr 19 2018, 1:07 PM

@Roy17 has done a few tests in his userspace and saw that most websites failed to generate, including ones like BBC which usually work on en.wp. Have we missed some configurations?

Those were all Cite news ones, and the template data hadn't propagated yet.... it's a long standing bug with template data. I did a null edit on the template and the ones I tried works now. Thanks for letting me know :).

Roy17 added a comment.Apr 19 2018, 2:04 PM

@Mvolz Thank you so much for putting it all together! It is working right now. It helps a lot to enable automated referencing. Many thanks to you! And to the Citoid creators and developers as well!

Elitre awarded a token.May 2 2018, 9:57 AM
deryckchan reopened this task as Open.May 15 2018, 8:51 AM

@Mvolz Which templates' templatedata did you copy from enwiki? I think there are 4 (or 5?) templates and only a subset of them got copied, but I lost track...

@Mvolz Which templates' templatedata did you copy from enwiki? I think there are 4 (or 5?) templates and only a subset of them got copied, but I lost track...

This is everything I changed here: https://zh-yue.wikipedia.org/wiki/Special:%E8%B2%A2%E7%8D%BB/Mvolz_(WMF)

All of the templates currently being used are in the message: https://zh-yue.wikipedia.org/wiki/MediaWiki:Citoid-template-type-map.json

So it's four, 引網, Citation, Cite journal and Cite news.

But, it doesn't look like Template:Citation/解 is being transcluded into Template:Citation. It seems to be linking to Citation/doc instead.

@deryckchan So I've directly transcluded that doc page into Template:Citation because I didn't know if you had a zh-yue version of {{Documentation}} that would be better. That english template links to /doc instead of /解. https://zh-yue.wikipedia.org/w/index.php?title=Template%3ACitation&type=revision&diff=1195110&oldid=1035697

Mvolz closed this task as Resolved.Jun 7 2018, 9:57 AM
Mvolz claimed this task.

Resolving, let me know if there are any further issues.

Jdforrester-WMF set the point value for this task to 1.